CVE-2020-25659

NameCVE-2020-25659
Descriptionpython-cryptography 3.2 is vulnerable to Bleichenbacher timing attacks in the RSA decryption API, via timed processing of valid PKCS#1 v1.5 ciphertext.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs973247

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
python-cryptography (PTS)stretch1.7.1-3+deb9u2vulnerable
buster2.6.1-3+deb10u2vulnerable
bullseye, sid3.3.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
python-cryptographysource(unstable)3.2.1-1973247

Notes

[buster] - python-cryptography <no-dsa> (Minor issue)
[stretch] - python-cryptography <no-dsa> (Minor issue; risk of regression & marginal benefit)
https://github.com/pyca/cryptography/security/advisories/GHSA-hggm-jpg3-v476
https://bugzilla.redhat.com/show_bug.cgi?id=1889988
https://github.com/pyca/cryptography/commit/58494b41d6ecb0f56b7c5f05d5f5e3ca0320d494 (3.2)

Search for package or bug name: Reporting problems